package jp.ac.osaka_u.ist.sel.similarity.hash.parser;

import java.io.IOException;

/**
 * 
 * interface for TokenStream (source code parser) class.
 * 
 * @author ysk-ssk
 *
 */
public interface TokenStream {
    public String next() throws IOException;
    public int getLine();
    public int getColumn();

}
